CC = cc -std=c99

CFLAGS = -Wall -g $(INCLUDES)

PSLIB_DIR = ../../

INCLUDES = -I. -I$(PSLIB_DIR)/include -I$(FFTW_DIR)/include
LIBS = -L$(PSLIB_DIR)/lib -lUtils

.PHONY : all
all : metadata.o
	@: nothing else to do
#
# Test code
#
TST_PROGS = tst_metadata
test : $(TST_PROGS)
	for p in $(TST_PROGS); do \
		echo $$p; \
		$$p; \
	done

tst_metadata : tst_metadata.o metadata.o 
	$(CC) -o tst_metadata tst_metadata.o metadata.o $(LIBS)
#
.PHONY :_tags
_tags :;
tags : _tags
	etags *.[ch]
#
clean :
	$(RM) $(TST_PROGS) *.o *.a *.log *.dvi *.aux *.toc *.log *.out *~ core TAGS
empty : clean
